Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009989 [DCSS] Bug Report text always 2015-10-04 05:46 2015-11-04 03:04
Reporter gerbias View Status public  
Assigned To Medar
Priority normal Resolution done  
Status closed   Product Branch 0.17 ancient branch
Summary 0009989: Misleading steel ammo description
Description Steel ammo claims to do an extra 30% damage; however this only includes the base damage of the item, not damage added by any other factor. This is extremely misleading.
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Make-steel-ammo-description-more-accurate.patch [^] (1,598 bytes) 2015-10-04 19:02 [Show Content]

- Relationships

-  Notes
(0029572)
gerbias (reporter)
2015-10-04 19:03

I uploaded a patch with one possible solution - increase the reported base damage by 30% and remove the claim of a flat 30% damage increase.
(0029736)
Medar (developer)
2015-11-03 21:58

Applied the wording change in 0.18-a0-27-g1f73fa3 aka 0.17-b1-18-g553e9fc.

Didn't apply the base damage display change. Rounding error will make that pretty misleading. Plus base damage isn't displayed for steel arrows/bolts anyway (and damage bonus seems to work differently).

- Issue History
Date Modified Username Field Change
2015-10-04 05:46 gerbias New Issue
2015-10-04 19:02 gerbias File Added: 0001-Make-steel-ammo-description-more-accurate.patch
2015-10-04 19:03 gerbias Note Added: 0029572
2015-10-04 19:03 gerbias Note Added: 0029573
2015-10-04 19:03 gerbias Note Deleted: 0029573
2015-11-03 21:58 Medar Note Added: 0029736
2015-11-03 21:58 Medar Status new => resolved
2015-11-03 21:58 Medar Fixed in Branch => 0.17 prerelease branch
2015-11-03 21:58 Medar Resolution open => done
2015-11-03 21:58 Medar Assigned To => Medar
2015-11-04 03:04 gerbias Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker